QGIS Application - Bug report #4487
Crash when splitting polygons in shp file
2011-11-02 10:38 AM - Ellie Cox

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 14413
Description

| have noticed that when splitting polygons from a large polygon, then editing the attributes of the new polygons in a shp file that QGIS
frequently crashes.

The order of edits is:

1) select split polygon tool

2) left click on existing border/vertex of the polygon

3) left click to create additional vertices

5) select the new polygon

)
)
4) right click to close new polygon against existing border/vertex
)
6) amend desired attributes

7) save (then repeat for additional polygons)
The crash tends to occur (frequently, but not every time) at step 4.
| have found that clearing the selection before saving prevents the crash.

| have attached the problem signature generated during the crash.

History

#1 -2011-11-02 11:03 AM - Giovanni Manghi

can you attach (a sample of) the offending vector?

#2 - 2011-11-03 01:06 AM - Ellie Cox
- File Spain.rar added

Sorry. I've now attached the shp | am working on.

#3 - 2011-11-18 08:43 AM - Giovanni Manghi
- Target version set to Version 1.8.0
- Status changed from Open to Feedback

sorry, the described procedure is not clear.

all steps other the first seems to be related to adding new features with the polygon capture or editing existing features with the node tool, while the title of

this ticket and the first step seem related to the "split features" tool.
Please leave feedback.

#4 - 2011-12-09 08:37 AM - Paolo Cavallini
- Category set to Digitising

#5 - 2011-12-23 08:59 AM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Status changed from Feedback to Closed

- Resolution set to invalid

- Affected QGIS version set to master

Closing for lack of feedback. The issue and procedure to replicate it is not clear. Reopen if necessary.

Files
Problem_signature.doc 24 KB 2011-11-02 Ellie Cox
Spain.rar 9.98 KB 2011-11-03 Ellie Cox
